<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dxhy.customs.dao.CustomsScanLogDao">

    <select databaseId="mysql" id="getScanLog" resultType="com.dxhy.customs.entity.TdxScanCustomsLog">
        select b.*
        from (select * from t_dx_scan_customs_log where pch = #{pch} order by customs_code, amount desc limit 1000) b
        group by b.customs_code
    </select>
</mapper>
